
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Gellix', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

body {
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: white;
    font-family: Arial, sans-serif;
    overflow: hidden;
}

.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    width: 100%;
    max-width: 500px;
    padding: 20px;
    background: rgba(0, 0, 0, 0.1);
    z-index: 1000;
    border-radius: 25px;
    color: white;
    box-shadow: 0 0 15px 1px rgba(0, 0, 0, 0.5);
}

.icon-container {
    width: 200px;
    height: 200px;
    position: relative;
    margin-bottom: 20px;
}

svg {
    width: 100%;
    height: 100%;
}

svg path {
    fill: rgb(255, 255, 255);
}

.eye {
    transition: transform 0.2s ease-out;
}

h1 {
    font-size: 36px;
    margin-bottom: 8px;
    color: white;
    text-align: center;
}

h2 {
    font-size: 18px;
    margin-bottom: 30px;
    font-weight: normal;
    color: white;
    text-align: center;
}

.input-container {
    width: 100%;
    position: relative;
    margin-bottom: 20px;
}

.email-input {
    width: 286px;
    padding: 15px 20px;
    border: none;
    border-radius: 50px;
    background-color: #f0f0f0;
    font-size: 16px;
    outline: none;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease;
    box-sizing: border-box;
}

.email-input:focus {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.15);
}

.submit-btn {
    width: 100%;
    padding: 15px 20px;
    border: none;
    border-radius: 50px;
    background-color: rgb(149, 2, 168);
    color: white;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.submit-btn:hover {
    background-color: rgb(91, 1, 94);
}

.or-divider {
    display: flex;
    align-items: center;
    width: 100%;
    margin: 20px 0;
}

.or-divider::before,
.or-divider::after {
    content: "";
    flex: 1;
    border-bottom: 1px solid #ddd;
}

.or-divider span {
    margin: 0 10px;
    color: #666;
    font-size: 14px;
}

.error {
    color: rgb(150, 0, 187);
    margin-bottom: 20px;
    text-align: center;
}

.success {
    color: rgb(167, 46, 204);
    margin-bottom: 20px;
    text-align: center;
}

.policy {
    margin-top: 20px;
    font-size: 12px;
    color: rgb(206, 206, 206);
    text-align: center;
}

.policy a {
    color: white;
    text-decoration: none;
}